Alembic: Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::HDF5Hierarchy Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::HDF5Hierarchy Class Reference

## Public Member Functions
H5Node | createNode (hid_t iId)
void | build (hid_t iFile)
void | clear ()
bool | isEnabled ()
void | setEnabled (bool iEnabled)
hobj_ref_t | getChildRef (hobj_ref_t iParentRef, const std::string &iName)
bool | childExists (hobj_ref_t iParentRef, const std::string &iName)
bool | attrExists (hobj_ref_t iParentRef, const std::string &iName)
void | readMetaDataString (hobj_ref_t iParentRef, const std::string &iMetaDataName, std::string &oMetaDataString)
void | readMaskInfo (hobj_ref_t iParentRef, const std::string &iPropName, size_t &oNumFields, void *oData)
template<class T>
void | visitAllChildObjects (H5Node iParent, const std::string &iName, T &iVisitor)
template<class T>
void | visitAllAttributes (hobj_ref_t iParentRef, const std::string &iName, T &iVisitor)
void | makeCompactObjectHierarchy (std::vector< hobj_ref_t > &oObjectRefs, std::vector< uint32_t > &oChildrenSizes, std::vector< std::string > &oChildrenNames, std::vector< hobj_ref_t > &oChildrenRefs, std::vector< uint32_t > &oAttrSizes, std::vector< std::string > &oAttrNames, std::vector< char > &oHasMask, std::vector< uint32_t > &oMaskBits, std::vector< char > &oHasMeta, std::vector< std::string > &oMetaStrs)
void | extractFromCompactObjectHierarchy (hid_t iFile, std::vector< hobj_ref_t > &iObjectRefs, std::vector< uint32_t > &iChildrenSizes, std::vector< std::string > &iChildrenNames, std::vector< hobj_ref_t > &iChildrenRefs, std::vector< uint32_t > &iAttrSizes, std::vector< std::string > &iAttrNames, std::vector< char > &iHasMask, std::vector< uint32_t > &iMaskBits, std::vector< char > &iHasMeta, std::vector< std::string > &iMetaStrs)

## Friends
class | ObjectVisitor

The documentation for this class was generated from the following files:

- AbcCoreHDF5/HDF5Hierarchy.h
- AbcCoreHDF5/HDF5Hierarchy.cpp